CPU 취약점 Meltdown(멜트 다운),Specter(스펙터) 윈도우 KB4056892 보안 업데이트

꿈을꾸는 파랑새

오늘은 최근에 문제가 되는 보안 취약점인 Meltdown(멜트 다운),Specter(스펙터)에 대해서 마이크로소프트가 오늘 Meltdown 및 Spectre CPU 결함을 해결하기 위해 대역 외 Windows 업데이트 를 제공을 하고 있습니다. 일단 정보를 컴파일하는 데 사용한 네 가지 마이크로소프트 도움말 페이지가 있으며, 다음 같은 경우에 읽을 수도 있습니다.
1: Windows 데스크톱 사용자를 위한 지침
2: Windows Server 사용자를 위한 지침
3: 보안 권고 ADV180002 (업데이트 패키지의 KB 번호 포함)
4: 타사 안티바이러스 소프트웨어를 사용하는 사용자의 호환성 경고 업데이트
호환되지 않는 백신프로그램으로 말미암은 중지 오류를 방지하기 위해 마이크로소프트는 2018년 1월 3일에 배포된 윈도우 보안 업데이트를 통해 해당 소프트웨어가 2018년 1월 Windows 운영 체제와 호환되는지 확인한 파트너의 백신프로그램 실행하는 장치에만 제공합니다. 기본적으로 윈도우 갱신을 통해서 업데이트를 통해서 업데이트를 진행을 할 수가 있습니다.
마이크로소프트는 테스트 중에 BSD 충돌로 말미암아 컴퓨터가 Meltdown 및 Spectre 패치를 설치하고 부팅 하지 못하게 하는 일부 백신프로그램을 을 발견했다고 말합니다. 백신프로그램 공급 업체에 제품을 수정하고 고객 PC에 레지스트리 키를 생성하여 제품을 확인하거나 업데이트함으로써 Windows PC의 붕괴 후 유령 업데이트를 중단시키지 않도록 지시했다고 했습니다.
AV 회사에서 해당 레지스트리 키를 추가할 계획이 없는 이었으면 이 레지스트리 키는. reg 파일을 자동으로 다음 레지스트리 키를 만듭니다.
Key="HKEY_LOCAL_MACHINE" Subkey="SOFTWARE\Microsoft\Windows\CurrentVersion\QualityCompat" Value="cadca5fe-87d3-4b96-b7fb-a231484277cc" Type="REG_DWORD”

AV 공급 업체에 Meltdown and Spectre 패치와 호환된다는 것을 확인하지 않는 한. reg 파일을 실행하지 않는 것이 좋습니다.
마이크로소프트는 또한 컴퓨터가 업데이트를 제대로 설치했는지 또는 추가 펌웨어 업데이트가 필요한지 확인하는 데 사용할 수 있는 Powershell one-liners를 출시했습니다.
PowerShell을 시작할 때 필요한 모듈을 설치할 수 있도록 관리자 권한으로 시작해야 합니다.
아래의 Powershell 명령은 Meltdown 및 Spectre 결함을 테스트하기 위해 Powershell 모듈을 다운로드하고 설치합니다.
Install-Module SpeculationControl
명령을 실행하고 실행 오류가 발생하면 Powershell 실행 정책을 조정해야 할 수 있습니다. 다음 명령을 실행해야 합니다.
Set-ExecutionPolicy Bypass
이제 실제로 시스템을 검사하는 두 번째 Powershell 명령을 실행할 수 있습니다.
Get-SpeculationControlSettings
그리고 업데이트가 끝나면 Get-SpeculationControlSettings를 다시 실행해야 합니다.
해당 방법을 통해서 하는 것이 조금은 귀찮은 분들은 일단 먼저 윈도우 업데이트를 통해서 KB4056892를 다운로드 해서 설치를 하면 됩니다. 설치 방법은 간단하게 윈도우 업데이트를 통해서 KB4056892를 업데이트를 하는 방법과 수동으로 윈도우 카탈로그 KB4056892에서 자신이 운영체제에 맞게 해당 파일을 내려받아서 설치하면 됩니다. 일단 어느 쪽을 선택하든 일단 윈도우를 사용을 하시는 분들은 반드시 업데이트를 진행을 하시면 됩니다.


이 글을 공유합시다

facebook twitter googleplus kakaostory naver

본문과 관련 있는 내용으로 댓글을 남겨주시면 감사하겠습니다.